Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.mapred.lib.db
Class DBInputFormat.NullDBWritable

    java.lang.Object
      org.apache.hadoop.mapred.lib.db.DBInputFormat.NullDBWritable

All Implemented Interfaces:
  Writable, DBWritable

Enclosing class:
  DBInputFormat<T extends DBWritable>

    public static class DBInputFormat.NullDBWritable

extends Object
implements DBWritable, Writable

A Class that does nothing, implementing DBWritable

Constructor Summary
`DBInputFormat.NullDBWritable()`

Method Summary
`void` | `readFields(DataInput in)` Deserialize the fields of this object from `in`.
`void` | `readFields(ResultSet arg0)` Reads the fields of the object from the `ResultSet`.
`void` | `write(DataOutput out)` Serialize the fields of this object to `out`.
`void` | `write(PreparedStatement arg0)` Sets the fields of the object in the `PreparedStatement`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBInputFormat.NullDBWritable

    public DBInputFormat.NullDBWritable()

Method Detail

### readFields

    public void readFields(DataInput in)
                    throws IOException

  Description copied from interface: `Writable`
  Deserialize the fields of this object from `in`.

  For efficiency, implementations should attempt to re-use storage in the existing object where possible.

  Specified by:
    `readFields` in interface `Writable`
  Parameters:
    `in` - `DataInput` to deseriablize this object from.
  Throws:
    `IOException`

### readFields

    public void readFields(ResultSet arg0)
                    throws SQLException

  Description copied from interface: `DBWritable`
  Reads the fields of the object from the `ResultSet`.

  Specified by:
    `readFields` in interface `DBWritable`
  Parameters:
    `arg0` - the `ResultSet` to get the fields from.
  Throws:
    `SQLException`

### write

    public void write(DataOutput out)
               throws IOException

  Description copied from interface: `Writable`
  Serialize the fields of this object to `out`.

  Specified by:
    `write` in interface `Writable`
  Parameters:
    `out` - `DataOuput` to serialize this object into.
  Throws:
    `IOException`

### write

    public void write(PreparedStatement arg0)
               throws SQLException

  Description copied from interface: `DBWritable`
  Sets the fields of the object in the `PreparedStatement`.

  Specified by:
    `write` in interface `DBWritable`
  Parameters:
    `arg0` - the statement that the fields are put into.
  Throws:
    `SQLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation